import java.util.*;
import java.awt.*;

public class NormalPolygon extends Polygon {
	public String toString() {
		return "Normal Polygon";
	}	
	
	public void clear() {
	}
	
	public void compute(Vector p) {
	}
	
	public void draw(Graphics g, Vector p) {
		int s = p.size();
		if (s < 2) return;
		for (int i = 1; i <= s; ++i) {
			Point point0 = (Point)p.elementAt((i-1)%s);
			Point point1 = (Point)p.elementAt(i%s);
			g.drawLine(point0.x, point0.y, point1.x, point1.y);
		}
	}
}

