import java.util.*;
import java.awt.*;

public class NormalPolyline extends Polygon {
	public String toString() {
		return "Normal Polyline";
	}	
	
	public void clear() {
	}
	
	public void compute(Vector p) {
	}
	
	public void draw(Graphics g, Vector p) {
		if (p.size() < 2) return;
		for (int i = 1; i < p.size(); ++i) {
			Point point0 = (Point)p.elementAt(i-1);
			Point point1 = (Point)p.elementAt(i);
			g.drawLine(point0.x, point0.y, point1.x, point1.y);
		}
	}
}

