import java.util.*;
import java.awt.*;

public class CubicBezier extends Bezier {
	public String toString() {
		return "Cubic Bezier";
	}
	
	public void clear() {
	}
	
	public void compute(Vector p) {
	}
	
	public void draw(Graphics g, Vector p) {
		int s = p.size();
		if (s < 4) return;
		int i = 3;
		for (; i < s; i += 3) interpolation(g, p, i-3, i-2, i-1, i);
		if (i == s) interpolation(g, p, i-3, i-2, i-1);
		if (i == s+1) interpolation(g, p, i-2, i-1);
	}
}

